' Ultimate Tron
' By Duncan Ward
' Started 5/4/98
' This Version Completed 30/1/99
' If running this source in Qbasic on a low spec (i.e 486) machine then
' speed detect routine may set initial speed too fast - choose to change
' game speed from main menu, or run the compiled version TRON.EXE
'
' If running in Qbasic uncompiled leave line 60 as
' 60 slp = INT(spd / 18): dlp = slp * 50
'
' When compiled this should be replaced by
' 60 slp = INT(spd / 18): dlp = slp * 6
' to regulate speed correctly.
'
'

1 SCREEN 12: p1j = 1: p2j = 1: odrs = 0
2 CLS : PRINT : PRINT " Ultimate Tron - Release Version 1.1": COLOR 14: PRINT " (C)1998,99 Duncan Ward": COLOR 15: PRINT " Initializing. . ."
7 TIMER ON: tim = 0
8 ON TIMER(1) GOSUB 110
9 ON ERROR GOTO 200                 'Sets default keys if TRON.CFG not found
10 OPEN "tron.cfg" FOR INPUT AS #1  'Loads keys from TRON.CFG file
11 LINE INPUT #1, a$: p1l$ = a$
12 LINE INPUT #1, a$: p1r$ = a$
13 LINE INPUT #1, a$: p1u$ = a$
14 LINE INPUT #1, a$: p1d$ = a$
15 LINE INPUT #1, a$: p1f$ = a$
16 LINE INPUT #1, a$: p2l$ = a$
17 LINE INPUT #1, a$: p2r$ = a$
18 LINE INPUT #1, a$: p2u$ = a$
19 LINE INPUT #1, a$: p2d$ = a$
20 LINE INPUT #1, a$: p2f$ = a$
25 CLOSE #1: GOSUB 10500

40 IF tim = 2 THEN GOTO 50 ELSE spd = spd + 1: GOTO 40
50 spd = INT(spd / 500)
60 slp = INT(spd / 18): dlp = slp * 50
100 GOTO 8000
110 tim = tim + 1: RETURN

'If TRON.CFG not found resets and saves default keys
200 p1l$ = "Z": p1r$ = "X": p1u$ = "F": p1d$ = "C": p1f$ = "G" 'Sets Default Keys
205 p2l$ = "1": p2r$ = "2": p2u$ = "6": p2d$ = "3": p2f$ = "+"
210 OPEN "tron.cfg" FOR OUTPUT AS #1
220 PRINT #1, p1l$: PRINT #1, p1r$: PRINT #1, p1u$: PRINT #1, p1d$: PRINT #1, p1f$
230 PRINT #1, p2l$: PRINT #1, p2r$: PRINT #1, p2u$: PRINT #1, p2d$: PRINT #1, p2f$
240 GOTO 25




'Setup game variables
1000 p1x = 30: p1y = 30: p1r = 1: p1d = 0: p1s = 0: p2x = 610: p2y = 430: p2r = -1: p2d = 0: p2s = 0
1003 RANDOMIZE TIMER: lp = 0
1004 p3x = 30: p3y = 430: p3r = 1: p3d = 0

'Main Loop
1100 a$ = UCASE$(INKEY$)
1120 IF a$ = p1l$ AND p1r = 0 THEN p1r = -1: p1d = 0
1130 IF a$ = p1r$ AND p1r = 0 THEN p1r = 1: p1d = 0
1140 IF a$ = p1u$ AND p1d = 0 THEN p1r = 0: p1d = -1
1150 IF a$ = p1d$ AND p1d = 0 THEN p1r = 0: p1d = 1
1160 IF a$ = p1f$ THEN GOSUB 2950
1170 IF a$ = p2l$ AND p2r = 0 THEN p2r = -1: p2d = 0
1180 IF a$ = p2r$ AND p2r = 0 THEN p2r = 1: p2d = 0
1190 IF a$ = p2u$ AND p2d = 0 THEN p2r = 0: p2d = -1
1200 IF a$ = p2d$ AND p2d = 0 THEN p2r = 0: p2d = 1
1210 IF a$ = p2f$ THEN GOSUB 2970
1220 IF a$ = CHR$(27) THEN GOTO 8100
1230 IF p1s + p2s = 0 THEN GOTO 1300
1235 IF lp = slp - 1 OR lp = slp - 2 THEN GOTO 1240 ELSE GOTO 1300
1240 IF p1s = 1 THEN p1x = p1x + p1r: p1y = p1y + p1d: GOSUB 2110: PSET (p1x, p1y), 12
1250 IF p2s = 1 THEN p2x = p2x + p2r: p2y = p2y + p2d: GOSUB 2120: PSET (p2x, p2y), 9

1300 IF lp <> slp THEN lp = lp + 1: GOTO 1100
1305 lp = 0
1307 IF dr = 1 THEN GOSUB 6000 '**Call Drone if active**
1310 p1x = p1x + p1r: p1y = p1y + p1d
1315 p2x = p2x + p2r: p2y = p2y + p2d
1340 GOSUB 2000
1350 PSET (p1x, p1y), 12
1355 PSET (p2x, p2y), 9
1400 GOTO 1100

2000 'Collision Detection
2010 IF POINT(p1x, p1y) <> 0 THEN GOTO 4000
2050 IF POINT(p2x, p2y) <> 0 THEN GOTO 4500
2100 RETURN
2110 IF POINT(p1x, p1y) <> 0 THEN GOTO 4000 ELSE RETURN
2120 IF POINT(p2x, p2y) <> 0 THEN GOTO 4500 ELSE RETURN

'Speed Toggle Routines
2950 IF p1s = 1 THEN p1s = 0: GOSUB 3130: RETURN
2960 IF p1s = 0 THEN p1s = 1: GOSUB 3100: RETURN
2970 IF p2s = 1 THEN p2s = 0: GOSUB 3130: RETURN
2980 IF p2s = 0 THEN p2s = 1: GOSUB 3100: RETURN
2990 END

'Sound Effects
3000 FOR k = 500 TO 100 STEP -20
3010 SOUND k, .2
3020 NEXT k
3030 SOUND 37, 10
3040 RETURN
3100 FOR s = 1000 TO 1100 STEP 30
3110 SOUND s, .2
3120 NEXT s
3125 RETURN
3130 FOR s = 1100 TO 900 STEP -60
3140 SOUND s, .2
3150 NEXT s
3160 RETURN
3200 FOR s = 100 TO 800 STEP 12: SOUND s, .1: NEXT s
3210 FOR s = 800 TO 100 STEP -12: SOUND s, .1: NEXT s
3250 RETURN

3300 FOR i = 100 TO 800 STEP 4
3320 SOUND i, .05
3330 NEXT i
3340 RETURN
3350 FOR i = 800 TO 100 STEP -4
3360 SOUND i, .05
3370 NEXT i
3380 RETURN
3400 SOUND 380, 1: FOR dll = 1 TO 5000: NEXT dll
3410 FOR sn = 380 TO 280 STEP -1
3411 SOUND sn, .1
3415 NEXT sn
3420 RETURN
3450 FOR i = 50 TO 350 STEP 9
3460 SOUND i, .1
3470 NEXT i
3480 RETURN
3500 FOR j = 2500 TO 8000 STEP 75
3510 SOUND j, .1
3520 NEXT j
3530 RETURN
3550 SOUND 1000, 2: SOUND 500, 2: SOUND 2000, 1: RETURN
3650 SOUND 1000, 1: SOUND 500, 1: SOUND 250, 1: RETURN
3660 RESTORE 3670: FOR i = 1 TO 9: READ a, B: SOUND a, B: NEXT i: RETURN
3670 DATA 100,1,200,1,300,1,200,1,100,1,500,1,1000,1,200,1,100,1,50,6



'Player Deaths
4000 LINE (515, 50)-(590, 205), 0, BF: LINE (513, 52)-(588, 203), 15, B: GOSUB 3000
4001 wy = 5: wc = INT(RND * 6) + 9
4002 LOCATE wy, 68: COLOR wc: PRINT "WIN!"
4003 wy = wy + 1: IF wy = 13 THEN wy = 5
4004 a$ = UCASE$(INKEY$): IF a$ = CHR$(27) THEN GOTO 8100
4005 IF a$ = " " OR a$ = p1f$ OR a$ = p2f$ OR a$ = CHR$(13) THEN GOTO 4010
4006 wc = INT(RND * 6) + 9
4008 GOTO 4002
4010 wt2 = wt2 + 1
4020 GOTO 7900

4500 LINE (50, 50)-(125, 205), 0, BF: LINE (52, 52)-(123, 203), 15, B: GOSUB 3000
4501 wy = 5: wc = INT(RND * 6) + 9
4502 LOCATE wy, 10: COLOR wc: PRINT "WIN!"
4503 wy = wy + 1: IF wy = 13 THEN wy = 5
4504 a$ = UCASE$(INKEY$): IF a$ = CHR$(27) THEN GOTO 8100
4505 IF a$ = " " OR a$ = CHR$(13) OR a$ = p1f$ OR a$ = p2f$ THEN GOTO 4510
4506 wc = INT(RND * 6) + 9
4508 GOTO 4502
4510 wt1 = wt1 + 1: GOTO 7900
4520 RETURN

' Screen Designs
5000 SCREEN 12: LINE (10, 10)-(630, 450), 6, B
5010 LINE (9, 9)-(631, 451), 5, B
5020 RETURN

5100 SCREEN 12: LINE (10, 10)-(630, 450), 6, B
5110 LINE (9, 9)-(631, 451), 5, B
5120 LINE (165, 225)-(475, 235), 5, B
5125 LINE (166, 226)-(474, 234), 6, B
5130 RETURN

5200 SCREEN 12: LINE (10, 10)-(630, 450), 6, B
5210 LINE (9, 9)-(631, 451), 5, B
5220 LINE (80, 80)-(140, 140), 5, B: LINE (80, 370)-(140, 310), 5, B
5225 LINE (550, 80)-(490, 140), 5, B: LINE (550, 370)-(490, 310), 5, B
5230 RETURN

5300 SCREEN 12: LINE (10, 10)-(630, 450), 6, B
5310 LINE (9, 9)-(631, 451), 5, B
5320 CIRCLE (320, 230), 150, 5
5322 LINE (250, 80)-(350, 80), 0: LINE (250, 380)-(350, 380), 0
5324 LINE (170, 180)-(170, 280), 0: LINE (470, 180)-(470, 280), 0
5330 RETURN

5400 GOSUB 5100: GOSUB 5200: RETURN
5500 GOSUB 5200: GOSUB 5300: RETURN
5600 GOSUB 5100: GOSUB 5300: RETURN
5700 GOSUB 5100: GOSUB 5200: GOSUB 5300: RETURN


'**Drone Routine**
6000 u3 = POINT(p3x, p3y - 1): d3 = POINT(p3x, p3y + 1)
6001 l3 = POINT(p3x - 1, p3y): r3 = POINT(p3x + 1, p3y)
6010 IF p3r = 0 THEN GOTO 6200
6020 IF p3r = -1 THEN GOTO 6100
6030 IF r3 = 0 THEN GOTO 6500
6040 IF d3 <> 0 THEN p3d = -1: p3r = 0: GOTO 6500
6050 IF u3 <> 0 THEN p3d = 1: p3r = 0: GOTO 6500
6052 p3r = 0
6055 su3 = p3y
6058 su3 = su3 - 1
6060 IF POINT(p3x, su3) <> 0 THEN GOTO 6065 ELSE GOTO 6058
6065 sd3 = p3y
6066 sd3 = sd3 + 1
6068 IF POINT(p3x, sd3) <> 0 THEN GOTO 6070 ELSE GOTO 6066
6070 IF (p3y - su3) < (sd3 - p3y) THEN p3d = 1 ELSE p3d = -1
6075 GOTO 6500

6100 IF l3 = 0 THEN GOTO 6500
6110 IF d3 <> 0 THEN p3d = -1: p3r = 0: GOTO 6500
6120 IF u3 <> 0 THEN p3d = 1: p3r = 0: GOTO 6500
6152 p3r = 0
6155 su3 = p3y
6158 su3 = su3 - 1
6160 IF POINT(p3x, su3) <> 0 THEN GOTO 6165 ELSE GOTO 6158
6165 sd3 = p3y
6166 sd3 = sd3 + 1
6168 IF POINT(p3x, sd3) <> 0 THEN GOTO 6170 ELSE GOTO 6166
6170 IF (p3y - su3) < (sd3 - p3y) THEN p3d = 1 ELSE p3d = -1
6175 GOTO 6500

6200 IF p3d = -1 THEN GOTO 6300
6210 IF d3 = 0 THEN GOTO 6500
6220 IF l3 <> 0 THEN p3d = 0: p3r = 1: GOTO 6500
6230 IF r3 <> 0 THEN p3d = 0: p3r = -1: GOTO 6500
6252 p3d = 0
6255 sl3 = p3x
6258 sl3 = sl3 - 1
6260 IF POINT(sl3, p3y) <> 0 THEN GOTO 6265 ELSE GOTO 6258
6265 sr3 = p3x
6266 sr3 = sr3 + 1
6268 IF POINT(sr3, p3y) <> 0 THEN GOTO 6270 ELSE GOTO 6266
6270 IF (p3x - sl3) < (sr3 - p3x) THEN p3r = 1 ELSE p3r = -1
6275 GOTO 6500

6300 IF u3 = 0 THEN GOTO 6500
6310 IF l3 <> 0 THEN p3d = 0: p3r = 1: GOTO 6500
6320 IF r3 <> 0 THEN p3d = 0: p3r = -1: GOTO 6500
6352 p3d = 0
6355 sl3 = p3x
6358 sl3 = sl3 - 1
6360 IF POINT(sl3, p3y) <> 0 THEN GOTO 6265 ELSE GOTO 6258
6365 sr3 = p3x
6366 sr3 = sr3 + 1
6368 IF POINT(sr3, p3y) <> 0 THEN GOTO 6270 ELSE GOTO 6266
6370 IF (p3x - sl3) < (sr3 - p3x) THEN p3r = 1 ELSE p3r = -1
6375 GOTO 6500

6500 GOSUB 6800
6505 p3x = p3x + p3r: p3y = p3y + p3d
6510 IF POINT(p3x, p3y) <> 0 THEN FOR s = 1 TO 20: CIRCLE (p3x, p3y), s, 14: NEXT s: GOSUB 3000: dr = 0: RETURN
6512 PSET (p3x, p3y), 14: RETURN

6800 IF r3 = 6 OR l3 = 6 OR u3 = 6 OR d3 = 6 THEN GOTO 6810 ELSE RETURN
6810 IF r3 = 6 AND l3 = 0 AND INT(RND * 300) = 4 THEN p3r = -1: p3d = 0: RETURN
6820 IF l3 = 6 AND r3 = 0 AND INT(RND * 300) = 4 THEN p3r = 1: p3d = 0: RETURN
6830 IF u3 = 6 AND d3 = 0 AND INT(RND * 300) = 4 THEN p3r = 0: p3d = 1: RETURN
6840 IF d3 = 6 AND u3 = 0 AND INT(RND * 300) = 4 THEN p3r = 0: p3d = -1: RETURN
6850 RETURN

7000 wt1 = 0: wt2 = 0: roun = 1
7005 CLS : GOSUB 5000: GOSUB 7500: CLS : GOSUB 5000: dr = 0: GOTO 1000
7010 CLS : GOSUB 5100: GOSUB 7500: CLS : GOSUB 5100: dr = 0: GOTO 1000
7020 CLS : GOSUB 5200: GOSUB 7500: CLS : GOSUB 5200: dr = 0: GOTO 1000
7030 CLS : GOSUB 5300: GOSUB 7500: CLS : GOSUB 5300: dr = 0: GOTO 1000
7040 CLS : GOSUB 5000: GOSUB 7500: CLS : GOSUB 5000: dr = 1: GOTO 1000
7050 CLS : GOSUB 5100: GOSUB 7500: CLS : GOSUB 5100: dr = 1: GOTO 1000
7060 CLS : GOSUB 5200: GOSUB 7500: CLS : GOSUB 5200: dr = 1: GOTO 1000
7070 CLS : GOSUB 5300: GOSUB 7500: CLS : GOSUB 5300: dr = 1: GOTO 1000

7500 LINE (200, 180)-(440, 300), 12, BF
7510 COLOR 14: LOCATE 13, 29: PRINT "Tron - Classic Challenge"
7520 LOCATE 15, 37: PRINT "Round "; roun
7530 LOCATE 17, 32: PRINT wt1: LOCATE 17, 48: PRINT wt2
7540 a$ = UCASE$(INKEY$): IF a$ = CHR$(27) THEN GOTO 8100

7545 IF a$ = " " OR a$ = CHR$(13) OR a$ = p1f$ OR a$ = p2f$ THEN RETURN
7550 GOTO 7540

7600 LINE (200, 180)-(440, 300), 12, BF
7610 COLOR 14: LOCATE 13, 29: PRINT "Tron - Classic Challenge"
7620 LOCATE 15, 35: PRINT "Final Score"
7625 LOCATE 17, 32: PRINT wt1: LOCATE 17, 48: PRINT wt2
7628 a$ = UCASE$(INKEY$)
7630 IF a$ = " " OR a$ = CHR$(13) OR a$ = p1f$ OR a$ = p2f$ THEN CLS : GOTO 8100
7640 GOTO 7628

7900 IF roun = 1 THEN roun = 2: GOTO 7010
7902 IF roun = 2 THEN roun = 3: GOTO 7020
7904 IF roun = 3 THEN roun = 4: GOTO 7030
7906 IF roun = 4 THEN roun = 5: GOTO 7040
7908 IF roun = 5 THEN roun = 6: GOTO 7050
7910 IF roun = 6 THEN roun = 7: GOTO 7060
7912 IF roun = 7 THEN roun = 8: GOTO 7070
7914 IF roun = 8 THEN GOTO 7600
7916 END

8000 SCREEN 12: CLS : LOCATE 10, 36: COLOR 14: PRINT "Ultimate"
8010 RESTORE 9000: dx = 0: dy = 20
8020 READ dtx, dty, dc: IF dtx = 10000 THEN GOTO 8100
8030 IF dx = dtx AND dy = dty THEN GOTO 8020
8040 IF dx < dtx THEN dx = dx + 1
8045 IF dx > dtx THEN dx = dx - 1
8050 IF dy < dty THEN dy = dy + 1
8055 IF dy > dty THEN dy = dy - 1
8060 PSET (dx, dy), dc
8065 FOR del = 1 TO spd: NEXT del
8070 GOTO 8030
8100 CLS : LOCATE 10, 36: COLOR 14: PRINT "Ultimate"
8110 RESTORE 9000: dx = 0: dy = 20
8120 READ dtx, dty, dc: IF dtx = 10000 THEN GOTO 8200
8125 IF dc = 8 THEN dc = 0
8130 LINE (dx, dy)-(dtx, dty), dc: dx = dtx: dy = dty
8140 GOTO 8120

' Main Menu
8200 LOCATE 28, 1: PRINT : PRINT : PRINT : PRINT : PRINT : PRINT : PRINT : PRINT : PRINT : PRINT
8210 LOCATE 1, 36: PRINT "Ultimate": men = 1: lkt = tim
8220 LOCATE 15, 35: COLOR 15: PRINT "Start Game"
8225 LOCATE 17, 34: COLOR 15: PRINT "Redefine Keys"
8235 LOCATE 19, 32: COLOR 15: PRINT "Change Game Speed"
8240 LOCATE 21, 36: COLOR 15: PRINT "Quit Game"
8245 LOCATE 28, 19: COLOR 14: PRINT "Use Arrow Keys to choose and Return to Select": COLOR 15
8300 a$ = UCASE$(INKEY$)
8310 IF a$ = CHR$(0) + "H" THEN men = men - 1: lkt = tim: GOSUB 9060: IF men = 0 THEN men = 4
8315 IF a$ = CHR$(0) + "P" THEN men = men + 1: lkt = tim: GOSUB 9060: IF men = 5 THEN men = 1
8316 dc = INT(RND * 6) + 9
8320 IF men = 1 THEN LOCATE 15, 35: COLOR dc: PRINT "Start Game"
8322 IF men = 2 THEN LOCATE 17, 34: COLOR dc: PRINT "Redefine Keys"
8326 IF men = 3 THEN LOCATE 19, 32: COLOR dc: PRINT "Change Game Speed"
8328 IF men = 4 THEN LOCATE 21, 36: COLOR dc: PRINT "Quit Game"
8330 IF a$ = CHR$(13) OR a$ = " " THEN GOTO 8350
8332 IF tim = lkt + 10 THEN GOTO 60000
8335 GOTO 8300
8350 IF men = 1 THEN GOTO 15000
8352 IF men = 2 THEN GOTO 10000
8356 IF men = 3 THEN GOTO 12000
8358 IF men = 4 THEN GOTO 8500
8390 END

8500 m = 0: COLOR 14
8510 IF tim > 60 THEN tim = tim - 60: m = m + 1 ELSE GOTO 8520
8515 GOTO 8510
8520 CLS : PRINT : PRINT " You've been playing"; : COLOR 12: PRINT " Ultimate Tron"; : COLOR 14: PRINT " for"
8525 IF m = 1 THEN PRINT m; "minute"; : GOTO 8535
8530 IF m > 0 THEN PRINT m; "minutes";
8535 IF tim > 0 AND m > 0 THEN PRINT " and";
8337 IF tim > 0 THEN PRINT tim; "seconds."
8540 PRINT : IF m > 10 THEN COLOR 12: PRINT " You SAD individual.": COLOR 14
8542 PRINT : PRINT " If you liked this game, or you hated it, or if you've got nothing better to"
8543 PRINT " do then you can contact me at "; : COLOR 15: PRINT "eeyrdw@nottingham.ac.uk"; : COLOR 14
8544 PRINT " for commments."
8550 PRINT : PRINT " Thats all folks.": PRINT " Now returning control to an opressive Microsoft environment.": PRINT
8552 xxx = tim
8554 IF tim = xxx + 5 THEN GOTO 8560 ELSE GOTO 8554
8560 END



9000 DATA 100,20,8,100,170,8,129,170,8,210,170,12,210,200,12,185,200,12
9005 DATA 185,290,12,160,290,12,160,200,12,130,200,12,130,170,12
9010 DATA 130,150,8,230,150,8,230,169,8,230,290,12,250,290,12,250,240,12
9015 DATA 290,290,12,310,290,12,310,280,12,270,240,12,305,240,12,310,235,12
9020 DATA 310,175,12,305,170,12,230,170,12,230,190,12,249,190,8,290,190,12
9025 DATA 290,220,12,250,220,12,250,190,12,250,171,8,250,170,12,250,150,8
9030 DATA 330,150,8,330,174,8,330,285,12,335,290,12,405,290,12,410,285,12
9035 DATA 410,175,12,405,170,12,335,170,12,330,175,12,350,175,8,350,189,8
9040 DATA 350,270,12,390,270,12,390,190,12,350,190,12,350,171,8,350,170,12
9045 DATA 350,150,8,430,150,8,430,169,8,430,290,12,450,290,12,450,230,12
9050 DATA 490,290,12,510,290,12,510,170,12,490,170,12,490,230,12,450,170,12
9055 DATA 430,170,12,430,150,8,600,150,8,600,430,8,640,430,8,10000,0,0
9060 LOCATE 15, 35: COLOR 15: PRINT "Start Game"
9062 LOCATE 17, 34: COLOR 15: PRINT "Redefine Keys"
9066 LOCATE 19, 32: COLOR 15: PRINT "Change Game Speed"
9068 LOCATE 21, 36: COLOR 15: PRINT "Quit Game": RETURN


10000 CLS : COLOR 14: PRINT : PRINT "                   Redefine Keys - Choose player (1/2/eXit) "
10001 PRINT : COLOR 15: PRINT " Current keys . . .": COLOR 15: PRINT : COLOR 12: PRINT " Player 1:": COLOR 15
10002 PRINT : PRINT "          Left: "; : COLOR 12: PRINT p1l$: COLOR 15
10003 PRINT "         Right: "; : COLOR 12: PRINT p1r$: COLOR 15
10004 PRINT "            Up: "; : COLOR 12: PRINT p1u$: COLOR 15
10005 PRINT "          Down: "; : COLOR 12: PRINT p1d$: COLOR 15
10006 PRINT " Fire/Throttle: "; : COLOR 12: PRINT p1f$: COLOR 15: PRINT : COLOR 10: PRINT " Player 2:": COLOR 15
10007 PRINT : PRINT "          Left: "; : COLOR 12: PRINT p2l$: COLOR 15
10008 PRINT "         Right: "; : COLOR 12: PRINT p2r$: COLOR 15
10009 PRINT "            Up: "; : COLOR 12: PRINT p2u$: COLOR 15
10010 PRINT "          Down: "; : COLOR 12: PRINT p2d$: COLOR 15
10011 PRINT " Fire/Throttle: "; : COLOR 12: PRINT p2f$: COLOR 15




10015 a$ = UCASE$(INKEY$)
10020 IF a$ = "X" THEN GOSUB 10400: GOSUB 10300: GOSUB 10500: GOTO 8100
10030 IF a$ = "1" THEN GOTO 10100
10040 IF a$ = "2" THEN GOTO 10200
10050 GOTO 10015
10100 CLS : PRINT : COLOR 15: PRINT " Player 1 - Current keys "
10110 PRINT : PRINT " Change these keys? (y/n) "
10112 PRINT : PRINT "          Left: "; : COLOR 12: PRINT p1l$: COLOR 15
10113 PRINT "         Right: "; : COLOR 12: PRINT p1r$: COLOR 15
10114 PRINT "            Up: "; : COLOR 12: PRINT p1u$: COLOR 15
10115 PRINT "          Down: "; : COLOR 12: PRINT p1d$: COLOR 15
10116 PRINT " Fire/Throttle: "; : COLOR 12: PRINT p1f$: COLOR 15
10125 a$ = UCASE$(INKEY$)
10127 IF a$ = "N" THEN GOTO 10000
10128 IF a$ = "Y" THEN GOTO 10140
10130 GOTO 10125
10140 LOCATE 2, 1: PRINT " Player 1 - "; : COLOR 12: PRINT "Select new keys": COLOR 15
10142 LOCATE 4, 1: PRINT "                            ": COLOR 14
10145 IF INKEY$ <> "" THEN GOTO 10145
10150 LOCATE 6, 17: PRINT CHR$(219)
10151 a$ = UCASE$(INKEY$): p1l$ = a$: LOCATE 6, 17: PRINT p1l$: IF a$ = "" THEN GOTO 10151
10152 IF INKEY$ <> "" THEN GOTO 10152
10153 LOCATE 7, 17: PRINT CHR$(219)
10154 a$ = UCASE$(INKEY$): p1r$ = a$: LOCATE 7, 17: PRINT p1r$: IF a$ = "" THEN GOTO 10154
10155 IF INKEY$ <> "" THEN GOTO 10155
10156 LOCATE 8, 17: PRINT CHR$(219)
10157 a$ = UCASE$(INKEY$): p1u$ = a$: LOCATE 8, 17: PRINT p1u$: IF a$ = "" THEN GOTO 10157
10158 IF INKEY$ <> "" THEN GOTO 10158
10159 LOCATE 9, 17: PRINT CHR$(219)
10160 a$ = UCASE$(INKEY$): p1d$ = a$: LOCATE 9, 17: PRINT p1d$: IF a$ = "" THEN GOTO 10160
10161 IF INKEY$ <> "" THEN GOTO 10161
10162 LOCATE 10, 17: PRINT CHR$(219)
10163 a$ = UCASE$(INKEY$): p1f$ = a$: LOCATE 10, 17: PRINT p1f$: IF a$ = "" THEN GOTO 10163
10164 IF INKEY$ <> "" THEN GOTO 10164
10165 GOSUB 3200: GOSUB 10400: GOTO 10100

10200 CLS : PRINT : COLOR 15: PRINT " Player 2 - Current keys "
10210 PRINT : PRINT " Change these keys? (y/n) "
10212 PRINT : PRINT "          Left: "; : COLOR 12: PRINT p2l$: COLOR 15
10213 PRINT "         Right: "; : COLOR 12: PRINT p2r$: COLOR 15
10214 PRINT "            Up: "; : COLOR 12: PRINT p2u$: COLOR 15
10215 PRINT "          Down: "; : COLOR 12: PRINT p2d$: COLOR 15
10216 PRINT " Fire/Throttle: "; : COLOR 12: PRINT p2f$: COLOR 15
10225 a$ = UCASE$(INKEY$)
10227 IF a$ = "N" THEN GOTO 10000
10228 IF a$ = "Y" THEN GOTO 10240
10230 GOTO 10225
10240 LOCATE 2, 1: PRINT " Player 2 - "; : COLOR 12: PRINT "Select new keys": COLOR 15
10242 LOCATE 4, 1: PRINT "                            ": COLOR 14
10245 IF INKEY$ <> "" THEN GOTO 10245
10250 LOCATE 6, 17: PRINT CHR$(219)
10251 a$ = UCASE$(INKEY$): p2l$ = a$: LOCATE 6, 17: PRINT p2l$: IF a$ = "" THEN GOTO 10251
10252 IF INKEY$ <> "" THEN GOTO 10252
10253 LOCATE 7, 17: PRINT CHR$(219)
10254 a$ = UCASE$(INKEY$): p2r$ = a$: LOCATE 7, 17: PRINT p2r$: IF a$ = "" THEN GOTO 10254
10255 IF INKEY$ <> "" THEN GOTO 10255
10256 LOCATE 8, 17: PRINT CHR$(219)
10257 a$ = UCASE$(INKEY$): p2u$ = a$: LOCATE 8, 17: PRINT p2u$: IF a$ = "" THEN GOTO 10257
10258 IF INKEY$ <> "" THEN GOTO 10258
10259 LOCATE 9, 17: PRINT CHR$(219)
10260 a$ = UCASE$(INKEY$): p2d$ = a$: LOCATE 9, 17: PRINT p2d$: IF a$ = "" THEN GOTO 10260
10261 IF INKEY$ <> "" THEN GOTO 10261
10262 LOCATE 10, 17: PRINT CHR$(219)
10263 a$ = UCASE$(INKEY$): p2f$ = a$: LOCATE 10, 17: PRINT p2f$: IF a$ = "" THEN GOTO 10263
10264 IF INKEY$ <> "" THEN GOTO 10264
10265 GOSUB 3200: GOSUB 10400: GOTO 10200

10300 OPEN "tron.cfg" FOR OUTPUT AS #1
10302 PRINT #1, p1l$: PRINT #1, p1r$: PRINT #1, p1u$: PRINT #1, p1d$: PRINT #1, p1f$
10304 PRINT #1, p2l$: PRINT #1, p2r$: PRINT #1, p2u$: PRINT #1, p2d$: PRINT #1, p2f$
10306 CLOSE #1: RETURN

10400 IF p1l$ = CHR$(0) + "K" THEN p1l$ = CHR$(176)
10402 IF p1r$ = CHR$(0) + "M" THEN p1r$ = CHR$(177)
10404 IF p1u$ = CHR$(0) + "H" THEN p1u$ = CHR$(178)
10406 IF p1d$ = CHR$(0) + "P" THEN p1d$ = CHR$(179)
10408 IF p2l$ = CHR$(0) + "K" THEN p2l$ = CHR$(176)
10410 IF p2r$ = CHR$(0) + "M" THEN p2r$ = CHR$(177)
10412 IF p2u$ = CHR$(0) + "H" THEN p2u$ = CHR$(178)
10414 IF p2d$ = CHR$(0) + "P" THEN p2d$ = CHR$(179)
10416 RETURN

10500 IF p1l$ = CHR$(176) THEN p1l$ = CHR$(0) + "K" 'Decodes TRON.CFG file
10502 IF p1r$ = CHR$(177) THEN p1r$ = CHR$(0) + "M" 'for keyboard settings
10504 IF p1u$ = CHR$(178) THEN p1u$ = CHR$(0) + "H" 'if arrow keys used.
10506 IF p1d$ = CHR$(179) THEN p1d$ = CHR$(0) + "P"
10508 IF p2l$ = CHR$(176) THEN p2l$ = CHR$(0) + "K"
10510 IF p2r$ = CHR$(177) THEN p2r$ = CHR$(0) + "M"
10512 IF p2u$ = CHR$(178) THEN p2u$ = CHR$(0) + "H"
10514 IF p2d$ = CHR$(179) THEN p2d$ = CHR$(0) + "P"
10516 RETURN


12000 CLS : slp = slp / 2
12010 COLOR 15: PRINT : PRINT " Alter Game Speed"
12015 COLOR 14: PRINT " ===== ==== ====="
12016 COLOR 15: PRINT : PRINT " Use keys Z & X to alter speed. (Z slower, X faster)"
12018 COLOR 15: PRINT : PRINT : PRINT : PRINT : PRINT " Press Space When Finished."
12020 LINE (69, 99)-(571, 121), 15, B
12025 vx = 570 - (slp / 2): LINE (70, 100)-(vx, 120), 12, BF
12030 a$ = UCASE$(INKEY$)
12035 IF a$ = "Z" THEN slp = slp + 10: IF slp > 2000 THEN slp = 2000: GOSUB 12080 ELSE GOSUB 12080
12040 IF a$ = "X" THEN slp = slp - 10: IF slp < 2 THEN slp = 2: GOSUB 12080 ELSE GOSUB 12080
12045 IF a$ = " " THEN slp = slp * 2: GOTO 8100
12050 GOTO 12030
12080 LINE (70, 100)-(570, 120), 0, BF: vx = 570 - (slp / 2): LINE (70, 100)-(vx, 120), 12, BF: RETURN


15000 FOR i = 32 TO 48: LOCATE 15, i: PRINT " "; : FOR del = 1 TO 2 * spd: NEXT del: NEXT i
15010 FOR i = 32 TO 48: LOCATE 17, i: PRINT " "; : FOR del = 1 TO 2 * spd: NEXT del: NEXT i
15020 FOR i = 32 TO 48: LOCATE 19, i: PRINT " "; : FOR del = 1 TO 2 * spd: NEXT del: NEXT i
15030 FOR i = 32 TO 48: LOCATE 21, i: PRINT " "; : FOR del = 1 TO 2 * spd: NEXT del: NEXT i
15040 FOR i = 32 TO 48: LOCATE 23, i: PRINT " "; : FOR del = 1 TO 2 * spd: NEXT del: NEXT i
15050 LOCATE 15, 32: COLOR 15: PRINT "Classic Challenge"
15060 LOCATE 17, 32: COLOR 15: PRINT "  Nibbles Mode"
15070 LOCATE 19, 32: COLOR 15: PRINT "  Power Battle"
15080 a$ = UCASE$(INKEY$)
15090 IF a$ = CHR$(0) + "H" THEN men = men - 1: GOSUB 15250: IF men = 0 THEN men = 3
15100 IF a$ = CHR$(0) + "P" THEN men = men + 1: GOSUB 15250: IF men = 4 THEN men = 1
15110 dc = INT(RND * 6) + 9
15120 IF men = 1 THEN LOCATE 15, 32: COLOR dc: PRINT "Classic Challenge"
15130 IF men = 2 THEN LOCATE 17, 32: COLOR dc: PRINT "  Nibbles Mode"
15140 IF men = 3 THEN LOCATE 19, 32: COLOR dc: PRINT "  Power Battle"
15150 IF a$ = CHR$(13) OR a$ = " " THEN GOTO 15200
15160 GOTO 15080
15200 IF men = 1 THEN GOTO 7000
15210 IF men = 2 THEN GOTO 27000
15220 IF men = 3 THEN GOTO 30000
15230 END
15250 LOCATE 15, 32: COLOR 15: PRINT "Classic Challenge"
15260 LOCATE 17, 32: COLOR 15: PRINT "  Nibbles Mode"
15270 LOCATE 19, 32: COLOR 15: PRINT "  Power Battle": RETURN




END



'Nibbles Mode

21000 p1x = 30: p1y = 30: p1r = 1: p1d = 0: p2x = 610: p2y = 430: p2r = -1: p2d = 0: non = 0
21003 REDIM p1t(2500): REDIM p1tt(2500): p1tr = 2: p1tw = 0: p1tx = p1x + 1: p1ty = p1y: p1td = 0: p1tm = 100
21004 REDIM p2t(2500): REDIM p2tt(2500): p2tr = 2: p2tw = 0: p2tx = p2x - 1: p2ty = p2y: p2td = 0: p2tm = 100
21005 p1tz = 0: p2tz = 0: no = 0: p1if = 0: p2if = 0: p1ff = 0: p2ff = 0: p1ti = 0: p2ti = 0
21100 a$ = UCASE$(INKEY$)
21120 IF a$ = p1l$ AND p1r = 0 THEN p1r = -1: p1d = 0
21130 IF a$ = p1r$ AND p1r = 0 THEN p1r = 1: p1d = 0
21140 IF a$ = p1u$ AND p1d = 0 THEN p1r = 0: p1d = -1
21150 IF a$ = p1d$ AND p1d = 0 THEN p1r = 0: p1d = 1
21170 IF a$ = p2l$ AND p2r = 0 THEN p2r = -1: p2d = 0
21180 IF a$ = p2r$ AND p2r = 0 THEN p2r = 1: p2d = 0
21190 IF a$ = p2u$ AND p2d = 0 THEN p2r = 0: p2d = -1:
21200 IF a$ = p2d$ AND p2d = 0 THEN p2r = 0: p2d = 1
21210 IF a$ = CHR$(27) THEN GOTO 8100

21300 IF lp <> slp THEN lp = lp + 1: GOTO 21100
21305 lp = 0
21310 p1x = p1x + p1r: p1y = p1y + p1d: GOSUB 24000
21315 p2x = p2x + p2r: p2y = p2y + p2d: GOSUB 24100
21330 IF p1ff = 1 AND p1if = 0 THEN p1ti = p1fl: p1ff = 0: GOSUB 25000
21332 IF p2ff = 1 AND p2if = 0 THEN p2ti = p2fl: p2ff = 0: GOSUB 25100

21340 IF no = 0 AND INT(RND * 200) = 88 THEN GOSUB 23000

21345 GOSUB 22000

21350 PSET (p1x, p1y), 12
21355 PSET (p2x, p2y), 9

21400 GOTO 21100

22000 'Collision Detection

22010 IF POINT(p1x, p1y) = 14 THEN LOCATE ny, nx + 1: PRINT " ": GOSUB 25200: SOUND 2000, 1: no = 0: GOSUB 26000
22020 IF POINT(p1x, p1y) <> 0 AND POINT(p1x, p1y) <> 14 THEN wt1 = wt1 - 1000: GOSUB 3000: GOTO 22025 ELSE GOTO 22030
22025 a$ = INKEY$: IF a$ <> "" THEN GOTO 22025
22026 a$ = INKEY$: IF a$ = " " THEN GOTO 27900 ELSE GOTO 22026

22030 IF POINT(p2x, p2y) = 14 THEN LOCATE ny, nx + 1: PRINT " ": GOSUB 25200: SOUND 2000, 1: no = 0: GOSUB 26100
22040 IF POINT(p2x, p2y) <> 0 AND POINT(p2x, p2y) <> 14 THEN wt2 = wt2 - 1000: GOSUB 3000: GOTO 22045 ELSE RETURN
22045 a$ = INKEY$: IF a$ <> "" THEN GOTO 22045
22046 a$ = INKEY$: IF a$ = " " OR a$ = CHR$(13) THEN GOTO 27900 ELSE GOTO 22046


22050 RETURN



23000 no = 1: nx = INT(RND * 74) + 3: ny = INT(RND * 26) + 2: non = non + 1
23010 LOCATE ny, nx: COLOR 14: PRINT non: RETURN



24000 p1tw = p1tw + 1: IF p1tw = p1tm + 1 THEN p1tw = 1
24005 IF p1td = 1 THEN p1tr = p1tr + 1: IF p1tr = p1tm + 1 THEN p1tr = 1
24006 IF p1td = 0 AND p1t(p1tm) <> 0 AND p1tz = 0 THEN p1tz = 1: p1td = 1: PSET (31, 30), 0
24008 IF p1td = 0 AND p1ti <> 0 AND p1tw = p1tr THEN p1tr = p1tr + 1: p1td = 1: p1if = 0: IF p1tr > p1tm THEN p1tr = 1
24010 IF p1r = -1 THEN p1t(p1tw) = 1: GOTO 24020
24012 IF p1r = 1 THEN p1t(p1tw) = 2: GOTO 24020
24014 IF p1d = -1 THEN p1t(p1tw) = 3: GOTO 24020
24016 IF p1d = 1 THEN p1t(p1tw) = 4: GOTO 24020
24018 SOUND 2000, 1: END
24020 IF p1td = 1 THEN GOSUB 24040
24030 RETURN
24040 IF p1t(p1tr) = 1 THEN p1tx = p1tx - 1: PSET (p1tx, p1ty), 0: GOTO 24065
24045 IF p1t(p1tr) = 2 THEN p1tx = p1tx + 1: PSET (p1tx, p1ty), 0: GOTO 24065
24050 IF p1t(p1tr) = 3 THEN p1ty = p1ty - 1: PSET (p1tx, p1ty), 0: GOTO 24065
24055 IF p1t(p1tr) = 4 THEN p1ty = p1ty + 1: PSET (p1tx, p1ty), 0: GOTO 24065
24060 SOUND 3000, 1: PRINT "Player 1 Pointer Convergence Error": END
24065 p1tl = p1t(p1tr): RETURN

24100 p2tw = p2tw + 1: IF p2tw = p2tm + 1 THEN p2tw = 1
24105 IF p2td = 1 THEN p2tr = p2tr + 1: IF p2tr = p2tm + 1 THEN p2tr = 1
24106 IF p2td = 0 AND p2t(p2tm) <> 0 AND p2tz = 0 THEN p2tz = 1: p2td = 1: PSET (609, 430), 0
24108 IF p2td = 0 AND p2ti <> 0 AND p2tw = p2tr THEN p2tr = p2tr + 1: p2td = 1: p2if = 0: IF p2tr > p2tm THEN p2tr = 1
24110 IF p2r = -1 THEN p2t(p2tw) = 1: GOTO 24120
24112 IF p2r = 1 THEN p2t(p2tw) = 2: GOTO 24120
24114 IF p2d = -1 THEN p2t(p2tw) = 3: GOTO 24120
24116 IF p2d = 1 THEN p2t(p2tw) = 4: GOTO 24120
24118 SOUND 2000, 1: END
24120 IF p2td = 1 THEN GOSUB 24140
24130 RETURN
24140 IF p2t(p2tr) = 1 THEN p2tx = p2tx - 1: PSET (p2tx, p2ty), 0: GOTO 24165
24145 IF p2t(p2tr) = 2 THEN p2tx = p2tx + 1: PSET (p2tx, p2ty), 0: GOTO 24165
24150 IF p2t(p2tr) = 3 THEN p2ty = p2ty - 1: PSET (p2tx, p2ty), 0: GOTO 24165
24155 IF p2t(p2tr) = 4 THEN p2ty = p2ty + 1: PSET (p2tx, p2ty), 0: GOTO 24165
24160 SOUND 3000, 1: PRINT "Player 2 pointer convergence error": END
24165 p2tl = p2t(p2tr): RETURN








25000 p1if = 1: p1td = 0: SOUND 100, 1: tt = 0: FOR s = p1tr TO p1tm: tt = tt + 1: p1tt(tt) = (p1t(s)): NEXT s
25010 FOR s = 1 TO (p1tr - 1): tt = tt + 1: p1tt(tt) = (p1t(s)): NEXT s: tt = 0
25020 FOR s = 0 TO 1500: p1t(s) = p1tt(s): NEXT s: p1tr = 1: p1tw = p1tm: p1tm = p1tm + p1ti
25030 RETURN

25100 p2if = 1: p2td = 0: SOUND 100, 1: tt = 0: FOR s = p2tr TO p2tm: tt = tt + 1: p2tt(tt) = (p2t(s)): NEXT s
25110 FOR s = 1 TO (p2tr - 1): tt = tt + 1: p2tt(tt) = (p2t(s)): NEXT s: tt = 0
25120 FOR s = 0 TO 1500: p2t(s) = p2tt(s): NEXT s: p2tr = 1: p2tw = p2tm: p2tm = p2tm + p2ti
25130 RETURN

25200 putd = p1tr: pux = p1tx: puy = p1ty: putt = 0
25210 putt = putt + 1: putd = putd + 1: IF putd = p1tm + 1 THEN putd = 1
25220 IF p1t(putd) = 1 THEN pux = pux - 1
25230 IF p1t(putd) = 2 THEN pux = pux + 1
25240 IF p1t(putd) = 3 THEN puy = puy - 1
25250 IF p1t(putd) = 4 THEN puy = puy + 1
25260 IF putd = p1tw THEN GOTO 25300
25270 IF p1tm - putt < 10 THEN PSET (pux, puy), 12
25280 GOTO 25210

25300 putd = p2tr: pux = p2tx: puy = p2ty: putt = 0
25310 putt = putt + 1: putd = putd + 1: IF putd = p2tm + 1 THEN putd = 1
25320 IF p2t(putd) = 1 THEN pux = pux - 1
25330 IF p2t(putd) = 2 THEN pux = pux + 1
25340 IF p2t(putd) = 3 THEN puy = puy - 1
25350 IF p2t(putd) = 4 THEN puy = puy + 1
25360 IF putd = p2tw THEN RETURN
25370 IF p2tm - putt < 10 THEN PSET (pux, puy), 9
25380 GOTO 25310



26000 wt1 = wt1 + (100 * non)
26005 IF non = 9 THEN GOTO 27900
26010 p1ti = (50 * non): IF p1if = 0 THEN GOSUB 25000 ELSE p1ff = 1: p1fl = p1ti
26020 RETURN

26100 wt2 = wt2 + (100 * non)
26105 IF non = 9 THEN GOTO 27900
26110 p2ti = (50 * non): IF p2if = 0 THEN GOSUB 25100 ELSE p2ff = 1: p2fl = p2ti
26120 RETURN


27000 wt1 = 0: wt2 = 0: roun = 1
27005 CLS : GOSUB 5000: GOSUB 27500: CLS : GOSUB 5000: GOTO 21000
27010 CLS : GOSUB 5100: GOSUB 27500: CLS : GOSUB 5100: GOTO 21000
27020 CLS : GOSUB 5200: GOSUB 27500: CLS : GOSUB 5200: GOTO 21000
27030 CLS : GOSUB 5300: GOSUB 27500: CLS : GOSUB 5300: GOTO 21000
27040 CLS : GOSUB 5400: GOSUB 27500: CLS : GOSUB 5400: GOTO 21000
27050 CLS : GOSUB 5500: GOSUB 27500: CLS : GOSUB 5500: GOTO 21000
27060 CLS : GOSUB 5600: GOSUB 27500: CLS : GOSUB 5600: GOTO 21000
27070 CLS : GOSUB 5700: GOSUB 27500: CLS : GOSUB 5700: GOTO 21000

27500 LINE (200, 180)-(440, 300), 12, BF
27510 COLOR 14: LOCATE 13, 31: PRINT " Tron - Nibbles Mode "
27520 LOCATE 15, 37: PRINT "Round "; roun
27530 LOCATE 17, 32: PRINT wt1: LOCATE 17, 48: PRINT wt2
27540 a$ = UCASE$(INKEY$): IF a$ = CHR$(27) THEN GOTO 8100

27545 IF a$ = " " OR a$ = CHR$(13) OR a$ = p1f$ OR a$ = p2f$ THEN RETURN
27550 GOTO 27540

27600 LINE (200, 180)-(440, 300), 12, BF
27610 COLOR 14: LOCATE 13, 31: PRINT " Tron - Nibbles Mode "
27620 LOCATE 15, 35: PRINT "Final Score"
27625 LOCATE 17, 32: PRINT wt1: LOCATE 17, 48: PRINT wt2
27628 a$ = UCASE$(INKEY$)
27630 IF a$ = " " OR a$ = CHR$(13) OR a$ = p1f$ OR a$ = p2f$ THEN CLS : GOTO 8100
27640 GOTO 27628

27900 IF roun = 1 THEN roun = 2: GOTO 27010
27902 IF roun = 2 THEN roun = 3: GOTO 27020
27904 IF roun = 3 THEN roun = 4: GOTO 27030
27906 IF roun = 4 THEN roun = 5: GOTO 27040
27908 IF roun = 5 THEN roun = 6: GOTO 27050
27910 IF roun = 6 THEN roun = 7: GOTO 27060
27912 IF roun = 7 THEN roun = 8: GOTO 27070
27914 IF roun = 8 THEN GOTO 27600
27916 END

30000 LOCATE 28, 1: FOR i = 1 TO 30: PRINT : NEXT i
30010 COLOR 12: LOCATE 1, 1: PRINT : PRINT "             Use Left and Right Controls to Select Your "; : COLOR 14: PRINT "Tron Cycle"
30020 LOCATE 4, 18: PRINT "Player 1": LOCATE 4, 62: PRINT "Player 2"
30030 LOCATE 7, 2: PRINT "Special 1:": LOCATE 7, 46: PRINT "Special 1:"
30031 LOCATE 9, 2: PRINT "Special 2:": LOCATE 9, 46: PRINT "Special 2:"
30032 LOCATE 11, 2: PRINT "Special 3:": LOCATE 11, 46: PRINT "Special 3:"
30040 p1k = 0: p2k = 0: GOTO 30900
30050 COLOR 10: LOCATE 7, 13: PRINT p1s1$: LOCATE 9, 13: PRINT p1s2$: LOCATE 11, 13: PRINT p1s3$
30060 LOCATE 7, 57: PRINT p2s1$: LOCATE 9, 57: PRINT p2s2$: LOCATE 11, 57: PRINT p2s3$
30070 a$ = UCASE$(INKEY$)
30080 IF a$ = p1r$ THEN p1j = p1j + 1: IF p1j = 10 THEN p1j = 1: GOTO 30900 ELSE GOTO 30900
30085 IF a$ = p1l$ THEN p1j = p1j - 1: IF p1j = 0 THEN p1j = 9: GOTO 30900 ELSE GOTO 30900
30088 IF a$ = p2r$ THEN p2j = p2j + 1: IF p2j = 10 THEN p2j = 1: GOTO 30900 ELSE GOTO 30900
30089 IF a$ = p2l$ THEN p2j = p2j - 1: IF p2j = 0 THEN p2j = 9: GOTO 30900 ELSE GOTO 30900
30090 IF a$ = p1f$ THEN LOCATE 4, 18: COLOR 10: PRINT "  READY  ": p1k = 1
30092 IF a$ = p2f$ THEN LOCATE 4, 62: COLOR 10: PRINT "  READY  ": p2k = 1
30093 IF a$ = CHR$(27) THEN GOTO 8100
30095 IF p1k = 1 AND p2k = 1 THEN GOTO 52000






30900 IF p1j = 1 THEN p1s1 = 1: p1s2 = 2: p1s3 = 3
30902 IF p1j = 2 THEN p1s1 = 1: p1s2 = 2: p1s3 = 4
30904 IF p1j = 3 THEN p1s1 = 2: p1s2 = 9: p1s3 = 4
30906 IF p1j = 4 THEN p1s1 = 2: p1s2 = 7: p1s3 = 5
30908 IF p1j = 5 THEN p1s1 = 1: p1s2 = 2: p1s3 = 8
30910 IF p1j = 6 THEN p1s1 = 1: p1s2 = 9: p1s3 = 6
30912 IF p1j = 7 THEN p1s1 = 2: p1s2 = 6: p1s3 = 3
30914 IF p1j = 8 THEN p1s1 = 2: p1s2 = 5: p1s3 = 7
30916 IF p1j = 9 THEN p1s1 = 1: p1s2 = 7: p1s3 = 8
30918 IF p2j = 1 THEN p2s1 = 1: p2s2 = 2: p2s3 = 3
30920 IF p2j = 2 THEN p2s1 = 1: p2s2 = 2: p2s3 = 4
30922 IF p2j = 3 THEN p2s1 = 2: p2s2 = 9: p2s3 = 4
30924 IF p2j = 4 THEN p2s1 = 2: p2s2 = 7: p2s3 = 5
30926 IF p2j = 5 THEN p2s1 = 1: p2s2 = 2: p2s3 = 8
30928 IF p2j = 6 THEN p2s1 = 1: p2s2 = 9: p2s3 = 6
30930 IF p2j = 7 THEN p2s1 = 2: p2s2 = 6: p2s3 = 3
30932 IF p2j = 8 THEN p2s1 = 2: p2s2 = 5: p2s3 = 7
30934 IF p2j = 9 THEN p2s1 = 1: p2s2 = 7: p2s3 = 8
30940 IF p1s1 = 1 THEN p1s1$ = "Speedup        "
30941 IF p1s1 = 2 THEN p1s1$ = "Trans-Lines    "
30942 IF p1s1 = 3 THEN p1s1$ = "Circle of Light"
30943 IF p1s1 = 4 THEN p1s1$ = "Autodrone      "
30944 IF p1s1 = 5 THEN p1s1$ = "Mega-Bomb      "
30945 IF p1s1 = 6 THEN p1s1$ = "Light Plough   "
30946 IF p1s1 = 7 THEN p1s1$ = "Laser Blaster  "
30947 IF p1s1 = 8 THEN p1s1$ = "Armageddon     "
30948 IF p1s1 = 9 THEN p1s1$ = "Trans-Bomb     "
30950 IF p1s2 = 1 THEN p1s2$ = "Speedup        "
30951 IF p1s2 = 2 THEN p1s2$ = "Trans-Lines    "
30952 IF p1s2 = 3 THEN p1s2$ = "Circle of Light"
30953 IF p1s2 = 4 THEN p1s2$ = "Autodrone      "
30954 IF p1s2 = 5 THEN p1s2$ = "Mega-Bomb      "
30955 IF p1s2 = 6 THEN p1s2$ = "Light Plough   "
30956 IF p1s2 = 7 THEN p1s2$ = "Laser Blaster  "
30957 IF p1s2 = 8 THEN p1s2$ = "Armageddon     "
30958 IF p1s2 = 9 THEN p1s2$ = "Trans-Bomb     "
30960 IF p1s3 = 1 THEN p1s3$ = "Speedup        "
30961 IF p1s3 = 2 THEN p1s3$ = "Trans-Lines    "
30962 IF p1s3 = 3 THEN p1s3$ = "Circle of Light"
30963 IF p1s3 = 4 THEN p1s3$ = "Autodrone      "
30964 IF p1s3 = 5 THEN p1s3$ = "Mega-Bomb      "
30965 IF p1s3 = 6 THEN p1s3$ = "Light Plough   "
30966 IF p1s3 = 7 THEN p1s3$ = "Laser Blaster  "
30967 IF p1s3 = 8 THEN p1s3$ = "Armageddon     "
30968 IF p1s3 = 9 THEN p1s3$ = "Trans-Bomb     "
30970 IF p2s1 = 1 THEN p2s1$ = "Speedup        "
30971 IF p2s1 = 2 THEN p2s1$ = "Trans-Lines    "
30972 IF p2s1 = 3 THEN p2s1$ = "Circle of Light"
30973 IF p2s1 = 4 THEN p2s1$ = "Autodrone      "
30974 IF p2s1 = 5 THEN p2s1$ = "Mega-Bomb      "
30975 IF p2s1 = 6 THEN p2s1$ = "Light Plough   "
30976 IF p2s1 = 7 THEN p2s1$ = "Laser Blaster  "
30977 IF p2s1 = 8 THEN p2s1$ = "Armageddon     "
30978 IF p2s1 = 9 THEN p2s1$ = "Trans-Bomb     "
30980 IF p2s2 = 1 THEN p2s2$ = "Speedup        "
30981 IF p2s2 = 2 THEN p2s2$ = "Trans-Lines    "
30982 IF p2s2 = 3 THEN p2s2$ = "Circle of Light"
30983 IF p2s2 = 4 THEN p2s2$ = "Autodrone      "
30984 IF p2s2 = 5 THEN p2s2$ = "Mega-Bomb      "
30985 IF p2s2 = 6 THEN p2s2$ = "Light Plough   "
30986 IF p2s2 = 7 THEN p2s2$ = "Laser Blaster  "
30987 IF p2s2 = 8 THEN p2s2$ = "Armageddon     "
30988 IF p2s2 = 9 THEN p2s2$ = "Trans-Bomb     "
30990 IF p2s3 = 1 THEN p2s3$ = "Speedup        "
30991 IF p2s3 = 2 THEN p2s3$ = "Trans-Lines    "
30992 IF p2s3 = 3 THEN p2s3$ = "Circle of Light"
30993 IF p2s3 = 4 THEN p2s3$ = "Autodrone      "
30994 IF p2s3 = 5 THEN p2s3$ = "Mega-Bomb      "
30995 IF p2s3 = 6 THEN p2s3$ = "Light Plough   "
30996 IF p2s3 = 7 THEN p2s3$ = "Laser Blaster  "
30997 IF p2s3 = 8 THEN p2s3$ = "Armageddon     "
30998 IF p2s3 = 9 THEN p2s3$ = "Trans-Bomb     "
30999 GOTO 30050




END
31000 CLS
31001 GOSUB 45000
31002 p1x = 30: p1y = 30: p1r = 1: p1d = 0: p1s = 0: p2x = 610: p2y = 380: p2r = -1: p2d = 0: p2s = 0
31003 RANDOMIZE TIMER: lp = 0
31004 p3x = 30: p3y = 380: p3r = 1: p3d = 0: dar1 = 0: p1c = 12: p2c = 10: dy2 = 0: dx2 = 0
31005 p1tl = 0: p2tl = 0: dar2 = 0: ddx1 = 0: ddx2 = 0: ddy1 = 0: ddy2 = 0: dc1 = 0: dc2 = 0: dx1 = 0: dy1 = 0
31006 armg = 0: ax1 = 0: ax2 = 0: ay1 = 0: ay2 = 0: armc = 0: cx = 0: cy = 0: cc = 0
31007 p1pu = 0: p2pu = 0: p1sh = 0: p2sh = 0: sh = 0: pu = 0
31008 p1su = 0: p2su = 0

'Main Loop
31100 a$ = UCASE$(INKEY$)
31120 IF a$ = p1l$ AND p1r = 0 THEN p1r = -1: p1d = 0
31130 IF a$ = p1r$ AND p1r = 0 THEN p1r = 1: p1d = 0
31140 IF a$ = p1u$ AND p1d = 0 THEN p1r = 0: p1d = -1
31150 IF a$ = p1d$ AND p1d = 0 THEN p1r = 0: p1d = 1
31160 IF a$ = p1f$ THEN GOSUB 50000
31170 IF a$ = p2l$ AND p2r = 0 THEN p2r = -1: p2d = 0
31180 IF a$ = p2r$ AND p2r = 0 THEN p2r = 1: p2d = 0
31190 IF a$ = p2u$ AND p2d = 0 THEN p2r = 0: p2d = -1
31200 IF a$ = p2d$ AND p2d = 0 THEN p2r = 0: p2d = 1
31210 IF a$ = p2f$ THEN GOSUB 51000
31218 IF a$ = CHR$(27) THEN GOTO 8100

31230 IF p1su + p2su = 0 THEN GOTO 31300
31235 IF lp = slp - 1 THEN GOTO 31240 ELSE GOTO 31300
31240 IF p1su > 0 THEN p1su = p1su - 1: p1x = p1x + p1r: p1y = p1y + p1d: GOSUB 32000: PSET (p1x, p1y), p1c
31250 IF p2su > 0 THEN p2su = p2su - 1: p2x = p2x + p2r: p2y = p2y + p2d: GOSUB 33000: PSET (p2x, p2y), p2c

31300 IF lp <> slp THEN lp = lp + 1: GOTO 31100
31301 lp = 0
31302 IF dr = 1 THEN GOSUB 36000 '**Call Drone if active**
31303 IF dar1 = 1 THEN GOSUB 40500
31304 IF dar2 = 1 THEN GOSUB 40600

31305 IF p1tl + p2tl = 0 THEN GOTO 31308
31306 IF p1tl > 0 THEN p1tl = p1tl - 1: IF p1tl = 0 THEN p1c = 12
31307 IF p2tl > 0 THEN p2tl = p2tl - 1: IF p2tl = 0 THEN p2c = 10
31308 IF sh = 0 AND INT(RND * 200) = 88 THEN sx = (INT(RND * 590)) + 20: sy = (INT(RND * 369)) + 20: LINE (sx, sy)-(sx + 10, sy + 10), 14, BF: sh = 1
31309 IF pu = 0 AND INT(RND * 200) = 88 THEN px = (INT(RND * 590)) + 20: py = (INT(RND * 369)) + 20: LINE (px, py)-(px + 10, py + 10), 11, BF: pu = 1
31310 p1x = p1x + p1r: p1y = p1y + p1d
31315 p2x = p2x + p2r: p2y = p2y + p2d
31320 IF p1lp + p2lp = 0 THEN GOTO 31330
31321 IF p1x < 11 OR p1x > 449 OR p1y < 11 OR p1y > 399 THEN GOSUB 45000
31322 IF p2x < 11 OR p2x > 449 OR p2y < 11 OR p2y > 399 THEN GOSUB 45000

31330 IF armg = 1 THEN GOSUB 43100
31331 IF armg = 2 THEN GOSUB 43300
31332 IF armg = 3 THEN GOSUB 43450
31334 IF armg = 4 THEN COLOR 12: LOCATE 13, 28: PRINT " Oh, for fuck's sake, DIE! ": p1lp = 0: p2lp = 0: armg = 5
31340 GOSUB 32000: GOSUB 33000
31345 GOSUB 44100
31350 PSET (p1x, p1y), p1c
31355 PSET (p2x, p2y), p2c
31360 IF dr = 1 THEN PSET (p3x, p3y), 9
31400 GOTO 31100

32000 pt = POINT(p1x, p1y)
32010 IF pt = 14 THEN p1sh = 1: LINE (sx, sy)-(sx + 10, sy + 10), 0, BF: sh = 0: LOCATE 28, 13: COLOR 14: PRINT "Yes": GOSUB 3300: RETURN
32020 IF pt = 11 THEN GOTO 32021 ELSE GOTO 32030
32021 SOUND 4000, 1: p1pu = p1pu + 1: IF p1pu = 4 THEN p1pu = 3
32022 LOCATE 28, 27: PRINT p1pu
32023 LINE (px, py)-(px + 10, py + 10), 0, BF: pu = 0: RETURN
32030 IF pt = 4 THEN RETURN
32040 IF pt = 0 THEN RETURN
32050 IF p1sh = 1 THEN p1sh = 0: LOCATE 28, 13: COLOR 14: PRINT "No ": GOSUB 3350: RETURN
32060 GOTO 34000

33000 pt = POINT(p2x, p2y)
33010 IF pt = 14 THEN p2sh = 1: LINE (sx, sy)-(sx + 10, sy + 10), 0, BF: sh = 0: LOCATE 28, 61: COLOR 14: PRINT "Yes": GOSUB 3300: RETURN
33020 IF pt = 11 THEN GOTO 33021 ELSE GOTO 33030
33021 SOUND 4000, 1: p2pu = p2pu + 1: IF p2pu = 4 THEN p2pu = 3
33022 LOCATE 28, 75: PRINT p2pu
33023 LINE (px, py)-(px + 10, py + 10), 0, BF: pu = 0: RETURN
33030 IF pt = 2 THEN RETURN
33040 IF pt = 0 THEN RETURN
33050 IF p2sh = 1 THEN p2sh = 0: LOCATE 28, 61: COLOR 14: PRINT "No ": GOSUB 3350: RETURN
33060 GOTO 34500


'Player Deaths
34000 LINE (515, 50)-(590, 205), 0, BF: LINE (513, 52)-(588, 203), 15, B: GOSUB 3000
34001 wy = 5: wc = INT(RND * 6) + 9
34002 LOCATE wy, 68: COLOR wc: PRINT "WIN!"
34003 wy = wy + 1: IF wy = 13 THEN wy = 5
34004 a$ = UCASE$(INKEY$): IF a$ = CHR$(27) THEN GOTO 8100
34005 IF a$ = " " OR a$ = CHR$(13) OR a$ = p1f$ OR a$ = p2f$ THEN GOTO 34010
34006 wc = INT(RND * 6) + 9
34008 GOTO 34002
34010 wt2 = wt2 + 1
34020 GOTO 57010

34500 LINE (50, 50)-(125, 205), 0, BF: LINE (52, 52)-(123, 203), 15, B: GOSUB 3000
34501 wy = 5: wc = INT(RND * 6) + 9
34502 LOCATE wy, 10: COLOR wc: PRINT "WIN!"
34503 wy = wy + 1: IF wy = 13 THEN wy = 5
34504 a$ = UCASE$(INKEY$): IF a$ = CHR$(27) THEN GOTO 8100
34505 IF a$ = " " OR a$ = CHR$(13) OR a$ = p1f$ OR a$ = p2f$ THEN GOTO 34510
34506 wc = INT(RND * 6) + 9
34508 GOTO 34502
34510 wt1 = wt1 + 1: GOTO 57010

'**Drone Routine**
36000 u3 = POINT(p3x, p3y - 1): d3 = POINT(p3x, p3y + 1)
36001 l3 = POINT(p3x - 1, p3y): r3 = POINT(p3x + 1, p3y)
36010 IF p3r = 0 THEN GOTO 36200
36020 IF p3r = -1 THEN GOTO 36100
36030 IF r3 = 0 THEN GOTO 36500
36040 IF d3 <> 0 THEN p3d = -1: p3r = 0: GOTO 36500
36050 IF u3 <> 0 THEN p3d = 1: p3r = 0: GOTO 36500
36052 p3r = 0
36055 su3 = p3y
36058 su3 = su3 - 1
36060 IF POINT(p3x, su3) <> 0 THEN GOTO 36065 ELSE GOTO 36058
36065 sd3 = p3y
36066 sd3 = sd3 + 1
36068 IF POINT(p3x, sd3) <> 0 THEN GOTO 36070 ELSE GOTO 36066
36070 IF (p3y - su3) < (sd3 - p3y) THEN p3d = 1 ELSE p3d = -1
36075 GOTO 36500

36100 IF l3 = 0 THEN GOTO 36500
36110 IF d3 <> 0 THEN p3d = -1: p3r = 0: GOTO 36500
36120 IF u3 <> 0 THEN p3d = 1: p3r = 0: GOTO 36500
36152 p3r = 0
36155 su3 = p3y
36158 su3 = su3 - 1
36160 IF POINT(p3x, su3) <> 0 THEN GOTO 36165 ELSE GOTO 36158
36165 sd3 = p3y
36166 sd3 = sd3 + 1
36168 IF POINT(p3x, sd3) <> 0 THEN GOTO 36170 ELSE GOTO 36166
36170 IF (p3y - su3) < (sd3 - p3y) THEN p3d = 1 ELSE p3d = -1
36175 GOTO 36500

36200 IF p3d = -1 THEN GOTO 36300
36210 IF d3 = 0 THEN GOTO 36500
36220 IF l3 <> 0 THEN p3d = 0: p3r = 1: GOTO 36500
36230 IF r3 <> 0 THEN p3d = 0: p3r = -1: GOTO 36500
36252 p3d = 0
36255 sl3 = p3x
36258 sl3 = sl3 - 1
36260 IF POINT(sl3, p3y) <> 0 THEN GOTO 36265 ELSE GOTO 36258
36265 sr3 = p3x
36266 sr3 = sr3 + 1
36268 IF POINT(sr3, p3y) <> 0 THEN GOTO 36270 ELSE GOTO 36266
36270 IF (p3x - sl3) < (sr3 - p3x) THEN p3r = 1 ELSE p3r = -1
36275 GOTO 36500

36300 IF u3 = 0 THEN GOTO 36500
36310 IF l3 <> 0 THEN p3d = 0: p3r = 1: GOTO 36500
36320 IF r3 <> 0 THEN p3d = 0: p3r = -1: GOTO 36500
36352 p3d = 0
36355 sl3 = p3x
36358 sl3 = sl3 - 1
36360 IF POINT(sl3, p3y) <> 0 THEN GOTO 36265 ELSE GOTO 36258
36365 sr3 = p3x
36366 sr3 = sr3 + 1
36368 IF POINT(sr3, p3y) <> 0 THEN GOTO 36270 ELSE GOTO 36266
36370 IF (p3x - sl3) < (sr3 - p3x) THEN p3r = 1 ELSE p3r = -1
36375 GOTO 36500

36500 GOSUB 36800
36502 op3x = p3x: op3y = p3y
36505 p3x = p3x + p3r: p3y = p3y + p3d
36510 IF POINT(p3x, p3y) <> 0 THEN FOR s = 1 TO 20: CIRCLE (p3x, p3y), s, 9: NEXT s: GOSUB 3000: dr = 0: RETURN
36520 RETURN

36800 IF r3 = 6 OR l3 = 6 OR u3 = 6 OR d3 = 6 THEN GOTO 36810 ELSE RETURN
36810 IF r3 = 6 AND l3 = 0 AND INT(RND * 300) = 4 THEN p3r = -1: p3d = 0: RETURN
36820 IF l3 = 6 AND r3 = 0 AND INT(RND * 300) = 4 THEN p3r = 1: p3d = 0: RETURN
36830 IF u3 = 6 AND d3 = 0 AND INT(RND * 300) = 4 THEN p3r = 0: p3d = 1: RETURN
36840 IF d3 = 6 AND u3 = 0 AND INT(RND * 300) = 4 THEN p3r = 0: p3d = -1: RETURN
36850 RETURN

39000 IF a$ = p1f$ THEN PAINT (p1x, p1y), 4, 0: PAINT (p2x, p2y), 4, 0: PAINT (op3x, op3y), 4, 0: GOSUB 45000: RETURN
39010 IF a$ = p2f$ THEN PAINT (p1x, p1y), 2, 0: PAINT (p2x, p2y), 2, 0: PAINT (op3x, op3y), 2, 0: GOSUB 45000: RETURN
39020 RETURN

40000 IF a$ = p2f$ THEN GOTO 40100
40005 dx1 = p1x: dy1 = p1y: dar1 = 1: dc1 = 1000: RETURN
40100 dx2 = p2x: dy2 = p2y: dar2 = 1: dc2 = 1000: RETURN


40500 dc1 = dc1 - 1: IF dc1 = 0 THEN dar1 = 0
40507 ddx = SQR((p2x - dx1) ^ 2): ddy = SQR((p2y - dy1) ^ 2)
40508 IF ddx > ddy AND dx1 > p2x THEN dx1 = dx1 - 1
40509 IF ddx > ddy AND dx1 < p2x THEN dx1 = dx1 + 1
40510 IF ddy > ddx AND dy1 > p2y THEN dy1 = dy1 - 1
40511 IF ddy > ddx AND dy1 < p2y THEN dy1 = dy1 + 1
40512 IF ddy = ddx AND dy1 < p2y THEN dy1 = dy1 + 1
40513 IF ddy = ddx AND dy1 > p2y THEN dy1 = dy1 - 1
40515 PSET (dx1, dy1), 4
40518 IF dx1 = p2x AND dy1 = p2y THEN SOUND 4000, .1
40520 RETURN

40600 dc2 = dc2 - 1: IF dc2 = 0 THEN dar2 = 0
40607 ddx = SQR((p1x - dx2) ^ 2): ddy = SQR((p1y - dy2) ^ 2)
40608 IF ddx > ddy AND dx2 > p1x THEN dx2 = dx2 - 1
40609 IF ddx > ddy AND dx2 < p1x THEN dx2 = dx2 + 1
40610 IF ddy > ddx AND dy2 > p1y THEN dy2 = dy2 - 1
40611 IF ddy > ddx AND dy2 < p1y THEN dy2 = dy2 + 1
40612 IF ddy = ddx AND dy2 < p1y THEN dy2 = dy2 + 1
40613 IF ddy = ddx AND dy2 > p1y THEN dy2 = dy2 - 1
40615 PSET (dx2, dy2), 2
40618 IF dx2 = p1x AND dy2 = p1y THEN SOUND 4000, .1
40620 RETURN

41000 IF a$ = p1f$ THEN GOSUB 3450: p1su = 1000: RETURN
41010 IF a$ = p2f$ THEN GOSUB 3450: p2su = 1000: RETURN
END

42000 IF a$ = p1f$ THEN p1tl = p1tl + 1000: p1c = 4: GOSUB 3550: RETURN
42010 IF a$ = p2f$ THEN p2tl = p2tl + 1000: p2c = 2: GOSUB 3550: RETURN

43000 IF armg <> 0 THEN RETURN
43010 armg = 1: ax1 = 10: ax2 = 630: ay1 = 10: ay2 = 400: RETURN

43100 armc = armc + 1: IF armc = 3 THEN armc = 0: GOTO 43109 ELSE RETURN
43109 LINE (ax1, ay1)-(ax2, ay2), 0, B
43110 ax1 = ax1 + 1: IF ax1 = ax2 THEN GOTO 43200
43112 ax2 = ax2 - 1: IF ax1 = ax2 THEN GOTO 43200
43114 IF ay1 = ay2 OR ay1 > ay2 THEN GOTO 43120
43116 ay1 = ay1 + 1: ay2 = ay2 - 1
43120 LINE (ax1, ay1)-(ax2, ay2), 6, B
43130 RETURN
43200 armg = 2: ax1 = 9: ax2 = 631: ay1 = 9: ay2 = 401: RETURN

43300 armc = armc + 1: IF armc = 3 THEN armc = 0: GOTO 43309 ELSE RETURN
43309 LINE (ax1, ay1)-(ax2, ay2), 0, B
43310 ax1 = ax1 + 1: IF ax1 = ax2 THEN GOTO 43400
43312 ax2 = ax2 - 1: IF ax1 = ax2 THEN GOTO 43400
43314 IF ay1 = ay2 OR ay1 > ay2 THEN GOTO 43320
43316 ay1 = ay1 + 1: ay2 = ay2 - 1
43320 LINE (ax1, ay1)-(ax2, ay2), 5, B
43330 RETURN
43400 armg = 3: ax1 = 320: ax2 = 321: ay1 = 230: ay2 = 231: RETURN

43450 armc = armc + 1: IF armc = 3 THEN armc = 0: GOTO 43510 ELSE RETURN
43510 ax1 = ax1 - 1: IF ax1 = 0 THEN GOTO 43600
43512 ax2 = ax2 + 1
43514 IF ay1 = ay2 OR ay1 > ay2 THEN GOTO 43520
43516 ay1 = ay1 - 1: ay2 = ay2 + 1
43520 LINE (ax1, ay1)-(ax2, ay2), 14, B
43530 RETURN
43600 armg = 4: RETURN

44000 IF a$ = p1f$ THEN p1lp = 1: p1lc = 1500: RETURN
44010 IF a$ = p2f$ THEN p2lp = 1: p2lc = 1500: RETURN
44020 RETURN
44100 IF p1lp = 1 THEN p1lc = p1lc - 1: IF p1lc = 0 THEN p1lp = 0: GOSUB 3650
44102 IF p2lp = 1 THEN p2lc = p2lc - 1: IF p2lc = 0 THEN p2lp = 0: GOSUB 3650
44210 IF p1lp = 1 THEN GOTO 44215 ELSE GOTO 44220
44215 IF p1r = 1 THEN LINE (p1x + 1, p1y - 4)-(p1x + 9, p1y + 4), 0, BF: LINE (p1x + 10, p1y - 4)-(p1x + 10, p1y + 4), 4
44217 IF p1r = -1 THEN LINE (p1x - 1, p1y - 4)-(p1x - 9, p1y + 4), 0, BF: LINE (p1x - 10, p1y - 4)-(p1x - 10, p1y + 4), 4
44218 IF p1d = 1 THEN LINE (p1x - 4, p1y + 1)-(p1x + 4, p1y + 9), 0, BF: LINE (p1x - 4, p1y + 10)-(p1x + 4, p1y + 10), 4
44219 IF p1d = -1 THEN LINE (p1x - 4, p1y - 1)-(p1x + 4, p1y - 9), 0, BF: LINE (p1x - 4, p1y - 10)-(p1x + 4, p1y - 10), 4
44220 IF p2lp = 1 THEN GOTO 44221 ELSE RETURN
44221 IF p2r = 1 THEN LINE (p2x + 1, p2y - 4)-(p2x + 9, p2y + 4), 0, BF: LINE (p2x + 10, p2y - 4)-(p2x + 10, p2y + 4), 2
44222 IF p2r = -1 THEN LINE (p2x - 1, p2y - 4)-(p2x - 9, p2y + 4), 0, BF: LINE (p2x - 10, p2y - 4)-(p2x - 10, p2y + 4), 2
44224 IF p2d = 1 THEN LINE (p2x - 4, p2y + 1)-(p2x + 4, p2y + 9), 0, BF: LINE (p2x - 4, p2y + 10)-(p2x + 4, p2y + 10), 2
44226 IF p2d = -1 THEN LINE (p2x - 4, p2y - 1)-(p2x + 4, p2y - 9), 0, BF: LINE (p2x - 4, p2y - 10)-(p2x + 4, p2y - 10), 2
44228 RETURN


45000 LINE (10, 10)-(630, 400), 6, B: LINE (9, 9)-(631, 401), 5, B
45010 COLOR 12: LOCATE 27, 12: PRINT "Player 1": LOCATE 27, 60: PRINT "Player 2"
45020 COLOR 14: LOCATE 28, 6: PRINT "Shield:No    Special:": LOCATE 28, 54: PRINT "Shield:No    Special:"
45030 RETURN


46000 IF a$ = p1f$ THEN cc = 4: GOTO 46010 ELSE GOTO 46100
46010 cx = p2x: cy = p2y: GOTO 46500
46100 cc = 2: cx = p1x: cy = p1y
46500 IF cx < 61 THEN GOSUB 3400: RETURN
46502 IF cx > 579 THEN GOSUB 3400: RETURN
46504 IF cy < 61 THEN GOSUB 3400: RETURN
46506 IF cy > 349 THEN GOSUB 3400: RETURN
46510 GOSUB 3500: CIRCLE (cx, cy), 50, cc: RETURN


48000 IF a$ = p1f$ THEN GOTO 48005 ELSE GOTO 48100
48005 IF p1x < 61 THEN GOSUB 3400: RETURN
48008 IF p1x > 579 THEN GOSUB 3400: RETURN
48010 IF p1y < 61 THEN GOSUB 3400: RETURN
48012 IF p1y > 349 THEN GOSUB 3400: RETURN
48015 FOR i = 1 TO 50 STEP 2: CIRCLE (p1x, p1y), i, 4: SOUND 150 - (2 * i), .1: NEXT i: RETURN
48100 IF a$ = p2f$ THEN GOTO 48105 ELSE RETURN
48105 IF p2x < 61 THEN GOSUB 3400: RETURN
48108 IF p2x > 579 THEN GOSUB 3400: RETURN
48110 IF p2y < 61 THEN GOSUB 3400: RETURN
48112 IF p2y > 349 THEN GOSUB 3400: RETURN
48115 FOR i = 1 TO 50 STEP 2: CIRCLE (p2x, p2y), i, 2: SOUND 150 - (2 * i), .1: NEXT i: RETURN

49000 IF a$ = p1f$ THEN GOTO 49005 ELSE GOTO 49100
49005 IF p1r = 1 THEN FOR i = (p1x + 1) TO 629: PSET (i, p1y), 4: NEXT i
49008 IF p1r = -1 THEN FOR i = (p1x - 1) TO 11 STEP -1: PSET (i, p1y), 4: NEXT i
49010 IF p1d = 1 THEN FOR i = (p1y + 1) TO 399: PSET (p1x, i), 4: NEXT i
49012 IF p1d = -1 THEN FOR i = (p1y - 1) TO 11 STEP -1: PSET (p1x, i), 4: NEXT i
49100 IF a$ = p2f$ THEN GOTO 49105 ELSE RETURN
49105 IF p2r = 1 THEN FOR i = (p2x + 1) TO 629: PSET (i, p2y), 2: NEXT i
49108 IF p2r = -1 THEN FOR i = (p2x - 1) TO 11 STEP -1: PSET (i, p2y), 2: NEXT i
49110 IF p2d = 1 THEN FOR i = (p2y + 1) TO 399: PSET (p2x, i), 2: NEXT i
49112 IF p2d = -1 THEN FOR i = (p2y - 1) TO 11 STEP -1: PSET (p2x, i), 2: NEXT i
49300 RETURN


50000 IF p1pu = 3 THEN GOTO 50300
50010 IF p1pu = 2 THEN GOTO 50200
50020 IF p1pu = 1 THEN GOTO 50100
50030 RETURN
50100 IF p1s1 = 1 THEN GOSUB 50500: GOSUB 41000: RETURN
50110 IF p1s1 = 2 THEN GOSUB 50500: GOSUB 42000: RETURN
50120 IF p1s1 = 3 THEN GOSUB 50500: GOSUB 46000: RETURN
50130 IF p1s1 = 4 THEN GOSUB 50500: GOSUB 40000: RETURN
50140 IF p1s1 = 5 THEN GOSUB 50500: GOSUB 48000: RETURN
50150 IF p1s1 = 6 THEN GOSUB 50500: GOSUB 44000: RETURN
50160 IF p1s1 = 7 THEN GOSUB 50500: GOSUB 49000: RETURN
50170 IF p1s1 = 8 THEN GOSUB 50500: GOSUB 43000: RETURN
50180 IF p1s1 = 9 THEN GOSUB 50500: GOSUB 39000: RETURN
50190 COLOR 12: PRINT "Power-up allocation error"
50200 IF p1s2 = 1 THEN GOSUB 50500: GOSUB 41000: RETURN
50210 IF p1s2 = 2 THEN GOSUB 50500: GOSUB 42000: RETURN
50220 IF p1s2 = 3 THEN GOSUB 50500: GOSUB 46000: RETURN
50230 IF p1s2 = 4 THEN GOSUB 50500: GOSUB 40000: RETURN
50240 IF p1s2 = 5 THEN GOSUB 50500: GOSUB 48000: RETURN
50250 IF p1s2 = 6 THEN GOSUB 50500: GOSUB 44000: RETURN
50260 IF p1s2 = 7 THEN GOSUB 50500: GOSUB 49000: RETURN
50270 IF p1s2 = 8 THEN GOSUB 50500: GOSUB 43000: RETURN
50280 IF p1s2 = 9 THEN GOSUB 50500: GOSUB 39000: RETURN
50290 COLOR 12: PRINT "Power-up allocation error"
50300 IF p1s3 = 1 THEN GOSUB 50500: GOSUB 41000: RETURN
50310 IF p1s3 = 2 THEN GOSUB 50500: GOSUB 42000: RETURN
50320 IF p1s3 = 3 THEN GOSUB 50500: GOSUB 46000: RETURN
50330 IF p1s3 = 4 THEN GOSUB 50500: GOSUB 40000: RETURN
50340 IF p1s3 = 5 THEN GOSUB 50500: GOSUB 48000: RETURN
50350 IF p1s3 = 6 THEN GOSUB 50500: GOSUB 44000: RETURN
50360 IF p1s3 = 7 THEN GOSUB 50500: GOSUB 49000: RETURN
50370 IF p1s3 = 8 THEN GOSUB 50500: GOSUB 43000: RETURN
50380 IF p1s3 = 9 THEN GOSUB 50500: GOSUB 39000: RETURN
50390 COLOR 12: PRINT "Power-up allocation error"
50500 LOCATE 28, 27: PRINT "   ": p1pu = 0: RETURN

51000 IF p2pu = 3 THEN GOTO 51300
51010 IF p2pu = 2 THEN GOTO 51200
51020 IF p2pu = 1 THEN GOTO 51100
51030 RETURN
51100 IF p2s1 = 1 THEN GOSUB 51500: GOSUB 41000: RETURN
51110 IF p2s1 = 2 THEN GOSUB 51500: GOSUB 42000: RETURN
51120 IF p2s1 = 3 THEN GOSUB 51500: GOSUB 46000: RETURN
51130 IF p2s1 = 4 THEN GOSUB 51500: GOSUB 40000: RETURN
51140 IF p2s1 = 5 THEN GOSUB 51500: GOSUB 48000: RETURN
51150 IF p2s1 = 6 THEN GOSUB 51500: GOSUB 44000: RETURN
51160 IF p2s1 = 7 THEN GOSUB 51500: GOSUB 49000: RETURN
51170 IF p2s1 = 8 THEN GOSUB 51500: GOSUB 43000: RETURN
51180 IF p2s1 = 9 THEN GOSUB 51500: GOSUB 39000: RETURN
51190 COLOR 12: PRINT "Power-up allocation error"
51200 IF p2s2 = 1 THEN GOSUB 51500: GOSUB 41000: RETURN
51210 IF p2s2 = 2 THEN GOSUB 51500: GOSUB 42000: RETURN
51220 IF p2s2 = 3 THEN GOSUB 51500: GOSUB 46000: RETURN
51230 IF p2s2 = 4 THEN GOSUB 51500: GOSUB 40000: RETURN
51240 IF p2s2 = 5 THEN GOSUB 51500: GOSUB 48000: RETURN
51250 IF p2s2 = 6 THEN GOSUB 51500: GOSUB 44000: RETURN
51260 IF p2s2 = 7 THEN GOSUB 51500: GOSUB 49000: RETURN
51270 IF p2s2 = 8 THEN GOSUB 51500: GOSUB 43000: RETURN
51280 IF p2s2 = 9 THEN GOSUB 51500: GOSUB 39000: RETURN
51290 COLOR 12: PRINT "Power-up allocation error"
51300 IF p2s3 = 1 THEN GOSUB 51500: GOSUB 41000: RETURN
51310 IF p2s3 = 2 THEN GOSUB 51500: GOSUB 42000: RETURN
51320 IF p2s3 = 3 THEN GOSUB 51500: GOSUB 46000: RETURN
51330 IF p2s3 = 4 THEN GOSUB 51500: GOSUB 40000: RETURN
51340 IF p2s3 = 5 THEN GOSUB 51500: GOSUB 48000: RETURN
51350 IF p2s3 = 6 THEN GOSUB 51500: GOSUB 44000: RETURN
51360 IF p2s3 = 7 THEN GOSUB 51500: GOSUB 49000: RETURN
51370 IF p2s3 = 8 THEN GOSUB 51500: GOSUB 43000: RETURN
51380 IF p2s3 = 9 THEN GOSUB 51500: GOSUB 39000: RETURN
51390 COLOR 12: PRINT "Power-up allocation error"
51500 LOCATE 28, 75: PRINT "   ": p2pu = 0: RETURN

52000 CLS
52010 LOCATE 14, 28: COLOR 12: PRINT "Computer Player Active (y/n)"
52020 a$ = UCASE$(INKEY$)
52025 IF a$ = "N" THEN dr = 0: GOTO 57000
52030 IF a$ = "Y" THEN dr = 1: GOTO 57000
52040 GOTO 52020

57000 wt1 = 0: wt2 = 0
57010 GOSUB 45000: GOSUB 57500: GOTO 31000
57500 LINE (200, 180)-(440, 300), 12, BF
57510 COLOR 14: LOCATE 13, 29: PRINT "   Tron - Power Battle   "
57530 LOCATE 17, 32: PRINT wt1: LOCATE 17, 48: PRINT wt2
57540 a$ = UCASE$(INKEY$): IF a$ = CHR$(27) THEN GOTO 8100
57545 IF a$ = " " OR a$ = CHR$(13) OR a$ = p1f$ OR a$ = p2f$ THEN RETURN
57550 GOTO 7540


60000 'Demo Mode
60010 SCREEN 12: CLS : GOSUB 5000
60011 drs = INT(RND * 3) + 1: IF drs = odrs THEN GOTO 60011
60012 odrs = drs
60016 IF drs = 1 THEN RESTORE 62000: GOTO 60020
60017 IF drs = 2 THEN RESTORE 62050: GOTO 60020
60018 RESTORE 62100
60020 x1 = 30: y1 = 30: x2 = 610: y2 = 430: rc = 0: dth = 0: GOSUB 60036
60030 READ d1, d2: rc = rc + 1: IF d1 = 0 OR d2 = 0 THEN END
60032 IF (rc / 30) = INT(rc / 30) THEN GOSUB 60036
60035 GOSUB 60040: IF dth = 1 THEN GOTO 61000 ELSE GOTO 60050
60036 IF dmc = 0 THEN dmc = 15 ELSE dmc = 0
60037 LOCATE 2, 70: COLOR dmc: PRINT "Demo Mode"
60038 LOCATE 28, 3: PRINT "Demo Mode": RETURN

60040 IF d1 = 1 THEN x1 = x1 + 1
60041 IF d1 = 2 THEN y1 = y1 + 1
60042 IF d1 = 3 THEN x1 = x1 - 1
60043 IF d1 = 4 THEN y1 = y1 - 1
60044 IF d2 = 1 THEN x2 = x2 + 1
60045 IF d2 = 2 THEN y2 = y2 + 1
60046 IF d2 = 3 THEN x2 = x2 - 1
60047 IF d2 = 4 THEN y2 = y2 - 1
60048 IF d2 = 5 THEN dth = 1: RETURN
60049 RETURN
60050 IF lp = INT(dlp / 2) THEN PSET (x1, y1), 12: PSET (x2, y2), 9
60060 IF lp = dlp THEN GOSUB 60040: IF dth = 1 THEN GOTO 61000 ELSE GOTO 60100
60065 a$ = INKEY$: IF a$ <> "" THEN GOTO 8100
60070 lp = lp + 1: GOTO 60050

60100 PSET (x1, y1), 12: PSET (x2, y2), 9
60110 lp = 0: GOTO 60030


61000 FOR r = 1 TO 36 STEP 2: CIRCLE (x2, y2), r, 9: FOR del = 1 TO (4 * spd): NEXT del: NEXT r
61010 LINE (50, 50)-(125, 205), 0, BF: LINE (52, 52)-(123, 203), 15, B
61012 det = tim
61015 wy = 5: wc = INT(RND * 6) + 9
61020 LOCATE wy, 10: COLOR wc: PRINT "WIN!"
61025 wy = wy + 1: IF wy = 13 THEN wy = 5
61030 a$ = UCASE$(INKEY$): IF a$ <> "" THEN GOTO 8100
61035 IF tim = det + 5 THEN GOTO 8100
61040 wc = INT(RND * 6) + 9: GOTO 61020






' Demo mode data
62000 DATA 1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3
62001 DATA 1,3,2,3,2,3,2,3,2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,3,2,3,2,3,1,3
62002 DATA 1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3
62003 DATA 1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3
62004 DATA 2,3,2,3,2,3,2,3,2,4,2,4,2,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4
62005 DATA 1,4,1,4,1,4,1,4,1,4,1,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4
62006 DATA 2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4
62007 DATA 2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4
62008 DATA 1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4
62009 DATA 2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4
62010 DATA 2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3
62011 DATA 2,3,2,3,2,3,2,3,2,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3
62012 DATA 1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3
62013 DATA 1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3
62014 DATA 1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3
62015 DATA 1,3,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2
62016 DATA 2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2
62017 DATA 2,1,2,1,2,1,2,1,2,1,2,1,2,1,2,1,2,1,2,1,2,1,2,1,2,1,1,1,1,1,1,1
62018 DATA 1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1
62019 DATA 1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1
62020 DATA 1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1
62021 DATA 1,2,1,2,1,2,1,2,1,2,1,2,1,2,1,2,1,2,1,2,1,3,1,3,1,3,1,3,1,3,1,3
62022 DATA 1,3,1,3,1,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3
62023 DATA 2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3
62024 DATA 2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3
62025 DATA 2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,4,2,4,2,4
62026 DATA 1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4
62027 DATA 1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4
62028 DATA 1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4
62029 DATA 1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4
62030 DATA 1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4
62031 DATA 1,1,1,1,1,1,1,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1
62032 DATA 4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1
62033 DATA 4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1
62034 DATA 4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1
62035 DATA 4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1
62036 DATA 4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1
62037 DATA 4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1
62038 DATA 3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1
62039 DATA 3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2
62040 DATA 4,2,4,2,4,2,4,2,4,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3
62041 DATA 4,3,4,3,4,2,4,2,3,2,3,2,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3
62042 DATA 4,3,4,3,4,2,4,2,3,2,3,2,3,3,3,3,3,3,3,3,3,3,3,4,3,4,3,4,3,4,3,4
62043 DATA 4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4
62044 DATA 4,4,4,4,4,4,3,4,3,4,3,3,3,3,3,3,3,3,3,3,4,3,4,3,4,3,4,3,3,3,3,3
62045 DATA 3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,2,2,2,2,2,2,2,2
62046 DATA 2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,5

62050 DATA 1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3
62051 DATA 1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3
62052 DATA 1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3
62053 DATA 1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3
62054 DATA 2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,4,2,4,2,4,2,4,2,4,2,4,2,4
62055 DATA 2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4
62056 DATA 2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4
62057 DATA 2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4
62058 DATA 1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4
62059 DATA 1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4
62060 DATA 1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4
62061 DATA 1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4
62062 DATA 1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3
62063 DATA 1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3
62064 DATA 2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3
62065 DATA 2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2
62066 DATA 2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2
62067 DATA 2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2
62068 DATA 2,3,2,3,2,3,3,3,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,3,3,3,3,3,3,3
62069 DATA 2,3,2,3,2,3,2,3,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2
62070 DATA 2,3,2,3,2,3,2,3,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2
62071 DATA 3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3
62072 DATA 3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,3,3,3,3,3,3,3,3,3,3,3,3,3
62073 DATA 2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,2,2,2,2,2
62074 DATA 2,1,2,1,2,1,2,1,2,1,2,1,2,1,2,1,2,1,2,1,2,1,1,1,1,1,1,1,1,1,1,1
62075 DATA 2,2,2,2,2,2,2,2,2,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2
62076 DATA 3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3
62077 DATA 3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3
62078 DATA 2,3,2,3,2,3,2,3,2,3,2,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3
62079 DATA 1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,4,1,4,1,4,1,4,1,1,1,1,1,1,1,1
62080 DATA 1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1
62081 DATA 1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1
62082 DATA 1,1,1,1,1,1,1,1,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,4,4,4,4,4,4
62083 DATA 4,4,4,4,4,4,4,3,4,3,4,3,4,3,4,3,4,3,4,3,4,3,4,3,1,3,1,3,1,3,1,3
62084 DATA 1,3,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4
62085 DATA 1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1
62086 DATA 4,1,4,1,4,1,4,1,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,5

62100 DATA 1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3
62101 DATA 1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3
62102 DATA 2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3
62103 DATA 2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4
62104 DATA 2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4
62105 DATA 2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4
62106 DATA 2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4
62107 DATA 2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4
62108 DATA 2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4,2,4
62109 DATA 1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4
62110 DATA 1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4
62111 DATA 1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4,1,4
62112 DATA 1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3
62113 DATA 1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3
62114 DATA 1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3
62115 DATA 1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3
62116 DATA 1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3
62117 DATA 1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3
62118 DATA 1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3
62119 DATA 1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3
62120 DATA 4,3,4,3,4,3,4,3,4,2,4,2,4,2,4,2,4,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2
62121 DATA 3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2
62122 DATA 3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2,3,2
62123 DATA 3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1,3,1
62124 DATA 3,1,3,1,3,1,3,1,3,1,3,1,3,4,3,4,3,4,3,4,3,4,4,4,4,4,4,4,4,4,4,4
62125 DATA 4,1,4,1,4,1,4,1,4,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1
62126 DATA 1,1,1,1,1,1,1,1,4,1,4,1,4,1,4,1,4,1,4,5


62200 DATA 0,0

